use super::{PossessionData, PossessionType, WearData};
use crate::static_content::species::BodyPart;
use once_cell::sync::OnceCell;

pub fn data() -> &'static Vec<(PossessionType, PossessionData)> {
    static D: OnceCell<Vec<(PossessionType, PossessionData)>> =
        OnceCell::new();
    &D.get_or_init(|| vec!(
        (
            PossessionType::RustyMetalPot,
            PossessionData {
                display: "rusty metal pot",
                details: "A metal pot that has rusted and is a bit dinged up - it looks like someone that way inclined could wear it as a serviceable helmet.",
                aliases: vec!("pot", "rusted", "rusty"),
                wear_data: Some(WearData {
                    covers_parts: vec!(BodyPart::Head),
                    thickness: 4.0,
                }),
                ..Default::default()
            }
        ),
        (
            PossessionType::HockeyMask,
            PossessionData {
                display: "hockey mask",
                details: "A white face-hugging fibreglass hockey mask, with small air holes across the face, but no specific hole for the mouth. It looks like it would give a degree of protection to the face, but it might also make someone look like a serial killer!",
                aliases: vec!("mask"),
                wear_data: Some(WearData {
                    covers_parts: vec!(BodyPart::Face),
                    thickness: 4.0,
                }),
                ..Default::default()
            }
        )
    ))
}
