use super::{PossessionData, PossessionType, WearData};
use crate::static_content::species::BodyPart;
use once_cell::sync::OnceCell;

pub fn data() -> &'static Vec<(PossessionType, PossessionData)> {
    static D: OnceCell<Vec<(PossessionType, PossessionData)>> =
        OnceCell::new();
    &D.get_or_init(|| vec!(
        (
            PossessionType::LeatherPants,
            PossessionData {
                display: "pair of leather pants",
                details: "Black leather pants that looks like they would protect you from falling off a motorbike, or maybe even offer some protection against certain weapons",
                aliases: vec!("leather pants", "pants"),
                wear_data: Some(WearData {
                    covers_parts: vec!(BodyPart::Groin, BodyPart::Legs),
                    thickness: 4.0,
                }),
                ..Default::default()
            }
        ),
    ))
}
