use super::{PossessionData, PossessionType, WearData};
use crate::static_content::species::BodyPart;
use once_cell::sync::OnceCell;

pub fn data() -> &'static Vec<(PossessionType, PossessionData)> {
    static D: OnceCell<Vec<(PossessionType, PossessionData)>> =
        OnceCell::new();
    &D.get_or_init(|| vec!(
        (
            PossessionType::LeatherJacket,
            PossessionData {
                display: "leather jacket",
                details: "A black leather jacket that looks like it would protect you from falling off a motorbike, or maybe even offer some protection against certain weapons",
                aliases: vec!("jacket"),
                wear_data: Some(WearData {
                    covers_parts: vec!(BodyPart::Arms,
                                       BodyPart::Chest,
                                       BodyPart::Back),
                    thickness: 4.0,
                }),
                ..Default::default()
            }
        ),
    ))
}
